execution state
Create execution state sessions
Requires scopes: runs:write
POST
/
api
/
execution-state
/
sessions
Create execution state sessions
curl --request POST \
--url https://evalgate.com/api/execution-state/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"privacyPolicyId": "<string>",
"workItemType": "custom",
"workItemId": "<string>",
"retentionPolicyId": "<string>",
"objectiveVersionId": "<string>",
"objectiveId": "<string>",
"objectiveInstanceId": "<string>"
}
'import requests
url = "https://evalgate.com/api/execution-state/sessions"
payload = {
"privacyPolicyId": "<string>",
"workItemType": "custom",
"workItemId": "<string>",
"retentionPolicyId": "<string>",
"objectiveVersionId": "<string>",
"objectiveId": "<string>",
"objectiveInstanceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
privacyPolicyId: '<string>',
workItemType: 'custom',
workItemId: '<string>',
retentionPolicyId: '<string>',
objectiveVersionId: '<string>',
objectiveId: '<string>',
objectiveInstanceId: '<string>'
})
};
fetch('https://evalgate.com/api/execution-state/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "active",
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"schemaVersion": 1,
"stateVersion": 123,
"privacyPolicyId": "<string>",
"workItemType": "custom",
"workItemId": "<string>",
"activeSnapshotId": "<string>",
"activeContextEpochId": "<string>",
"retentionPolicyId": "<string>",
"repositoryId": "<string>",
"objectiveVersionId": "<string>",
"completedAt": "<string>",
"objectiveId": "<string>",
"objectiveInstanceId": "<string>",
"repositorySnapshotRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
},
"repositoryGraphVersionId": "<string>",
"sourceHarnessProfileId": "<string>",
"activeHarnessProfileId": "<string>",
"activeModelCallContext": {
"provider": "<string>",
"model": "<string>",
"routingProfileId": "<string>",
"modelSnapshot": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Body
application/json
workItemType
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>
required
Available options:
custom Response
Successful response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
active Available options:
1 workItemType
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>
required
Available options:
custom Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create execution state sessions
